<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/ActionComponents/CAContinuousMineWood.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dd5/_c_a_continuous_mine_wood_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CAContinuousMineWood.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/dd5/_c_a_continuous_mine_wood_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d12/class_c_a_continuous_mine_wood.html">CAContinuousMineWood</a> : <a class="code hl_class" href="../../dc/d0b/class_c_a_continuous_base.html">CAContinuousBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">m_TimeElpased</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a2a0f895b30495dbc13cc66ef3e65a35a">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a2a0f895b30495dbc13cc66ef3e65a35a">m_AdjustedTimeBetweenMaterialDrops</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad0b6fbaabd7b069baf52e7b310fd04db">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad0b6fbaabd7b069baf52e7b310fd04db">m_CycleTimeOverride</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">m_TimeBetweenMaterialDrops</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ac1a5bc7181aef0b5d123c67e83a57bfc">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ac1a5bc7181aef0b5d123c67e83a57bfc">m_DamageToMiningItemEachDrop</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a84b6e4dabb5fc52d6a2523788a4f9c4b">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a84b6e4dabb5fc52d6a2523788a4f9c4b">m_AdjustedDamageToMiningItemEachDrop</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aec5d243a86f5680ec2016c39e0f6ca96">    9</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>                   <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aec5d243a86f5680ec2016c39e0f6ca96">m_AmountOfDrops</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <span class="comment">//protected string              m_Material;</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    <span class="comment">//protected float               m_AmountOfMaterialPerDrop;</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">   12</a></span>    <span class="keyword">protected</span> ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string,int&gt;</a>   <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">m_MaterialAndQuantityMap</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a0070edf09d44034b08ddeb3bf1830097">   13</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a0070edf09d44034b08ddeb3bf1830097">m_TimeToComplete</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aa59a402d7ed06fa7237d279097c39ee4">   14</a></span>    <span class="keyword">protected</span> ref Param1&lt;float&gt;     <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aa59a402d7ed06fa7237d279097c39ee4">m_SpentUnits</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#afa894bb4d06f8001b8989839d9ff8f45">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                  <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#afa894bb4d06f8001b8989839d9ff8f45">m_DataLoaded</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ab42e323c9314f2fc90ee12a056861dcb">   16</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">int</span>             <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ab42e323c9314f2fc90ee12a056861dcb">MINEDITEM_MAX</a> = 5;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">   17</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>              <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ab42e323c9314f2fc90ee12a056861dcb">MINEDITEM_MAX</a>];</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a5c296196999392d65f40ab75aaf5d1c9">   18</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>              <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a5c296196999392d65f40ab75aaf5d1c9">m_SecondaryItem</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a538bd98e76225f081517898cccc55eb9">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a538bd98e76225f081517898cccc55eb9">CAContinuousMineWood</a>(<span class="keywordtype">float</span> time_between_drops)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">m_TimeBetweenMaterialDrops</a> = time_between_drops;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad0b6fbaabd7b069baf52e7b310fd04db">m_CycleTimeOverride</a> = -1.0;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a685f70584155cea51950cc699f43bef0">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a685f70584155cea51950cc699f43bef0">Setup</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">m_TimeElpased</a> = 0;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aa59a402d7ed06fa7237d279097c39ee4">m_SpentUnits</a> )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        { </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aa59a402d7ed06fa7237d279097c39ee4">m_SpentUnits</a> = <span class="keyword">new</span> Param1&lt;float&gt;(0);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {   </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aa59a402d7ed06fa7237d279097c39ee4">m_SpentUnits</a>.param1 = 0;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">m_MaterialAndQuantityMap</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string,int&gt;</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#afa894bb4d06f8001b8989839d9ff8f45">m_DataLoaded</a> = <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8f56d7b997d34930044ba6daec923819">GetMiningData</a>(action_data);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">        for(int i = 0; i &lt; m_MaterialAndQuantityMap.Count(); i++)</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">        {</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="comment">            Print(&quot;material = &quot; + m_MaterialAndQuantityMap.GetKey(i) + &quot;; quantity = &quot; + m_MaterialAndQuantityMap.GetElement(i));</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="comment">        }</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="comment">        */</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad0b6fbaabd7b069baf52e7b310fd04db">m_CycleTimeOverride</a> &gt; -1.0)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">m_TimeBetweenMaterialDrops</a> = <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad0b6fbaabd7b069baf52e7b310fd04db">m_CycleTimeOverride</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <span class="keywordflow">if</span> (!action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>) <span class="comment">//hand action</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">m_TimeBetweenMaterialDrops</a> = <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">m_TimeBetweenMaterialDrops</a> * 3;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a2a0f895b30495dbc13cc66ef3e65a35a">m_AdjustedTimeBetweenMaterialDrops</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().SubtractSpecialtyBonus( <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">m_TimeBetweenMaterialDrops</a>, <a class="code hl_variable" href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">m_Action</a>.GetSpecialtyWeight(), <span class="keyword">true</span> );     </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a0070edf09d44034b08ddeb3bf1830097">m_TimeToComplete</a> = <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aec5d243a86f5680ec2016c39e0f6ca96">m_AmountOfDrops</a> * <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a2a0f895b30495dbc13cc66ef3e65a35a">m_AdjustedTimeBetweenMaterialDrops</a>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a21bdb266e5682950b101c50a825f1675">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a21bdb266e5682950b101c50a825f1675">Execute</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> targetObject;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(targetObject, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">if</span> ( !action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a> || !<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#afa894bb4d06f8001b8989839d9ff8f45">m_DataLoaded</a> )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span> ( (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> &amp;&amp; action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.IsDamageDestroyed()) || targetObject.IsDamageDestroyed() )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">m_TimeElpased</a> &lt; <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a2a0f895b30495dbc13cc66ef3e65a35a">m_AdjustedTimeBetweenMaterialDrops</a> )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">m_TimeElpased</a> += action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetDeltaT();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                    <span class="keywordtype">float</span> damage = 0;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                    <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aec5d243a86f5680ec2016c39e0f6ca96">m_AmountOfDrops</a> &gt; 0)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                        damage = (1 / <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aec5d243a86f5680ec2016c39e0f6ca96">m_AmountOfDrops</a>) * 100;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                    targetObject.DecreaseHealth(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;&quot;</span>,damage,<span class="keyword">true</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                    <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a94680b1ba70ac8d5be79ebb4485505e0">CreatePrimaryItems</a>(action_data);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                    <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.DecreaseHealth( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a84b6e4dabb5fc52d6a2523788a4f9c4b">m_AdjustedDamageToMiningItemEachDrop</a> );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                        <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a41bd79ddbbf84d26687430f7628f9882">DamagePlayersHands</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                <span class="keywordflow">if</span> ( targetObject.IsDamageDestroyed() )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aa59a402d7ed06fa7237d279097c39ee4">m_SpentUnits</a> )</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aa59a402d7ed06fa7237d279097c39ee4">m_SpentUnits</a>.param1 = <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">m_TimeElpased</a>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                        <a class="code hl_function" href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">SetACData</a>(<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aa59a402d7ed06fa7237d279097c39ee4">m_SpentUnits</a>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>                    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                    <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a>.Cast(targetObject) )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                        <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a> target_woodbase = <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a>.Cast(targetObject);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                        </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                        <span class="keywordflow">if</span> (target_woodbase.GetSecondaryOutput() != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                            <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a1ee89f80836da1137525a7ac808139ff">CreateSecondaryItems</a>(action_data,target_woodbase.GetSecondaryOutput(),target_woodbase.GetSecondaryDropsAmount());</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                    <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>)</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                        targetObject.OnTreeCutDown( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> );</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>                    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>                        targetObject.OnTreeCutDown( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a> );</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>                    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                    <a class="code hl_function" href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">OnCompletePogress</a>(action_data);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>                    <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>                }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">m_TimeElpased</a> = <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">m_TimeElpased</a> - <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a2a0f895b30495dbc13cc66ef3e65a35a">m_AdjustedTimeBetweenMaterialDrops</a>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>                <a class="code hl_function" href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">OnCompletePogress</a>(action_data);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a109ffb1ade247ec0ca3f03b1baeac400">  125</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a109ffb1ade247ec0ca3f03b1baeac400">GetProgress</a>()</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="comment">//float progress = m_TimeElpased/m_AdjustedTimeBetweenMaterialDrops;</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">m_TimeElpased</a>/<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a2a0f895b30495dbc13cc66ef3e65a35a">m_AdjustedTimeBetweenMaterialDrops</a>;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad309f44b02d9d87c630338ed41d5dbab">  131</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad309f44b02d9d87c630338ed41d5dbab">Cancel</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {   </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <a class="code hl_class" href="../../d0/d33/class_tool_base.html">ToolBase</a> cut_tree_tool = <a class="code hl_class" href="../../d0/d33/class_tool_base.html">ToolBase</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> );</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">if</span> (!cut_tree_tool)</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <span class="keywordflow">return</span> super.Cancel( action_data );</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">return</span> super.Cancel( action_data );</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8f56d7b997d34930044ba6daec923819">  143</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8f56d7b997d34930044ba6daec923819">GetMiningData</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <a class="code hl_class" href="../../d4/d7c/class_mine_action_data.html">MineActionData</a> adata = <a class="code hl_class" href="../../d4/d7c/class_mine_action_data.html">MineActionData</a>.Cast(action_data);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a> ntarget;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(ntarget, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()) )</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aec5d243a86f5680ec2016c39e0f6ca96">m_AmountOfDrops</a> = <span class="comment">/*Math.Max(1,*/</span>ntarget.GetAmountOfDropsEx(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>,adata.<a class="code hl_variable" href="../../d4/d7c/class_mine_action_data.html#a182b4f45364a68c36dc2dcb6b64505f8">m_HarvestType</a>)<span class="comment">/*)*/</span>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad0b6fbaabd7b069baf52e7b310fd04db">m_CycleTimeOverride</a> = ntarget.GetCycleTimeOverride(); <span class="comment">//TODO</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            <span class="comment">//m_Material = ntarget.GetMaterial(action_data.m_MainItem);</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="comment">//m_AmountOfMaterialPerDrop = Math.Max(1,ntarget.GetAmountOfMaterialPerDrop(action_data.m_MainItem));</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            ntarget.GetMaterialAndQuantityMapEx(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>,<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">m_MaterialAndQuantityMap</a>, adata.<a class="code hl_variable" href="../../d4/d7c/class_mine_action_data.html#a182b4f45364a68c36dc2dcb6b64505f8">m_HarvestType</a>);</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ac1a5bc7181aef0b5d123c67e83a57bfc">m_DamageToMiningItemEachDrop</a> = ntarget.GetDamageToMiningItemEachDropEx(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, adata.<a class="code hl_variable" href="../../d4/d7c/class_mine_action_data.html#a182b4f45364a68c36dc2dcb6b64505f8">m_HarvestType</a> );</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a84b6e4dabb5fc52d6a2523788a4f9c4b">m_AdjustedDamageToMiningItemEachDrop</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().SubtractSpecialtyBonus( <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ac1a5bc7181aef0b5d123c67e83a57bfc">m_DamageToMiningItemEachDrop</a>, <a class="code hl_variable" href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">m_Action</a>.GetSpecialtyWeight(), <span class="keyword">true</span> );</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a94680b1ba70ac8d5be79ebb4485505e0">  161</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a94680b1ba70ac8d5be79ebb4485505e0">CreatePrimaryItems</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    {</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <span class="keywordtype">string</span> material;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordtype">int</span> increment;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">m_MaterialAndQuantityMap</a>.Count(); i++)</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            material = <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">m_MaterialAndQuantityMap</a>.GetKey(i);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            <span class="keywordflow">if</span> (material != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>                increment = <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">m_MaterialAndQuantityMap</a>.GetElement(i);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>                <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i] )</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>                {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                    <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i] = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObjectEx(material,action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetPosition(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a>));</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>                    <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i].SetQuantity(increment);</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>                    <span class="comment">//Print(&quot;CreateItems | first stack&quot;);</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>                }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i].<a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a960c07eaf333ff54378b6b9df4a7fdec">HasQuantity</a>())</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>                {</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>                    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i].<a class="code hl_function" href="../../df/d2e/_item_base_8c.html#ac516aa0d7da9c667b080c26d6599f2dc">IsFullQuantity</a>() )</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>                    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>                        <span class="keywordtype">int</span> stack_max = <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i].GetQuantityMax();</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                        <span class="comment">//Print(&quot;CreateItems | new stack&quot;);</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>                        increment -= stack_max - <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i].GetQuantity();</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>                        <span class="keywordflow">if</span> (increment &gt;= 1.0)</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>                        {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>                            <span class="comment">//m_MinedItem[i].SetQuantity(stack_max);</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>                            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i] = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObjectEx(material,action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetPosition(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a>));</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>                            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i].SetQuantity(increment,<span class="keyword">false</span>);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>                        }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>                    }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>                    {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>                        <span class="comment">//Print(&quot;CreateItems | adding quantity to: &quot; + (m_MinedItem[i].GetQuantity() + increment));</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>                        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i].AddQuantity(increment,<span class="keyword">false</span>);</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>                    }</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>                }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>                {</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>                    <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">m_MinedItem</a>[i] = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObjectEx(material,action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetPosition(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a>));</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>                }</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        }</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a1ee89f80836da1137525a7ac808139ff">  208</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a1ee89f80836da1137525a7ac808139ff">CreateSecondaryItems</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <span class="keywordtype">string</span> material_secondary = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">int</span> quantity_secondary = -1)</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    {</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <span class="keywordflow">if</span> (material_secondary == <span class="stringliteral">&quot;&quot;</span> || quantity_secondary &lt;= 0)</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        }</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a5c296196999392d65f40ab75aaf5d1c9">m_SecondaryItem</a> = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObjectEx(material_secondary,action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetPosition(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a>));</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a5c296196999392d65f40ab75aaf5d1c9">m_SecondaryItem</a>.HasQuantity() )</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>            <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a1ee89f80836da1137525a7ac808139ff">CreateSecondaryItems</a>(action_data,material_secondary,quantity_secondary - 1);</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        }</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        <span class="keywordtype">int</span> increment = quantity_secondary;</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        <span class="keywordtype">int</span> stack_max = <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a5c296196999392d65f40ab75aaf5d1c9">m_SecondaryItem</a>.GetQuantityMax();</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <span class="keywordtype">int</span> stacks_amount;<span class="comment">// = Math.Ceil(increment/m_SecondaryItem.GetQuantityMax());</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        stacks_amount = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac9f0b1b548394cf668a86362a32de298">Ceil</a>(increment/stack_max);</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; stacks_amount; i++)</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>            <span class="keywordflow">if</span> (increment &gt; stack_max)</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>            {</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>                <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a5c296196999392d65f40ab75aaf5d1c9">m_SecondaryItem</a>.SetQuantity(stack_max);</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>                increment -= stack_max;</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>                <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a5c296196999392d65f40ab75aaf5d1c9">m_SecondaryItem</a> = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObjectEx(material_secondary,action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetPosition(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a>));</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>            }</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>            {</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>                <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a5c296196999392d65f40ab75aaf5d1c9">m_SecondaryItem</a>.SetQuantity(increment);</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>            }</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        }</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    }</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno"><a class="line" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a41bd79ddbbf84d26687430f7628f9882">  243</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a41bd79ddbbf84d26687430f7628f9882">DamagePlayersHands</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    {</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        <span class="comment">//m_AdjustedDamageToMiningItemEachDrop</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> gloves = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(player.FindAttachmentBySlotName(<span class="stringliteral">&quot;Gloves&quot;</span>));</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        <span class="keywordflow">if</span> ( gloves &amp;&amp; !gloves.IsDamageDestroyed() )</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        {</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>            gloves.DecreaseHealth(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;&quot;</span>,<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a84b6e4dabb5fc52d6a2523788a4f9c4b">m_AdjustedDamageToMiningItemEachDrop</a>);</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        }</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        {</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            <span class="keywordtype">int</span> rand = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">RandomIntInclusive</a>(0,9);</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            <span class="comment">//Print(&quot;rand: &quot; + rand);</span></div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>            <span class="keywordflow">if</span> ( rand == 0 )</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>            {</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>                rand = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">RandomIntInclusive</a>(0,1);</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>                <span class="keywordflow">if</span> ( rand == 0 &amp;&amp; !player.GetBleedingManagerServer().AttemptAddBleedingSourceBySelection(<span class="stringliteral">&quot;LeftForeArmRoll&quot;</span>) )</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>                {</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>                    player.GetBleedingManagerServer().AttemptAddBleedingSourceBySelection(<span class="stringliteral">&quot;RightForeArmRoll&quot;</span>);</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>                }</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>                <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( rand == 1 &amp;&amp; !player.GetBleedingManagerServer().AttemptAddBleedingSourceBySelection(<span class="stringliteral">&quot;RightForeArmRoll&quot;</span>) )</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>                {</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>                    player.GetBleedingManagerServer().AttemptAddBleedingSourceBySelection(<span class="stringliteral">&quot;LeftForeArmRoll&quot;</span>);</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>                }</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>            }</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        }</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>};</div>
<div class="ttc" id="a_central_economy_8c_html_a4389063907bd8acede7114e3887d6102"><div class="ttname"><a href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a></div><div class="ttdeci">const int ECE_PLACE_ON_SURFACE</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d35/_central_economy_8c_source.html#l00034">CentralEconomy.c:34</a></div></div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a960c07eaf333ff54378b6b9df4a7fdec"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a960c07eaf333ff54378b6b9df4a7fdec">HasQuantity</a></div><div class="ttdeci">bool HasQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08005">ItemBase.c:8005</a></div></div>
<div class="ttc" id="a_item_base_8c_html_ac516aa0d7da9c667b080c26d6599f2dc"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#ac516aa0d7da9c667b080c26d6599f2dc">IsFullQuantity</a></div><div class="ttdeci">bool IsFullQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08022">ItemBase.c:8022</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_abbb29a17964fe9b913bd331a4b623137"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a></div><div class="ttdeci">void WoodBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00030">WoodBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a0d37d5dd461d15b99bde41f229a7433f"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">CABase::m_Action</a></div><div class="ttdeci">protected ActionBase m_Action</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00003">CABase.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a15caa3f387f97bbe79d18e4269dec382"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">CABase::SetACData</a></div><div class="ttdeci">void SetACData(Param units)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00040">CABase.c:40</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_base_html"><div class="ttname"><a href="../../dc/d0b/class_c_a_continuous_base.html">CAContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db8/_c_a_continuous_base_8c_source.html#l00001">CAContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_base_html_a0ed880c4a0919f099c2891277df04d26"><div class="ttname"><a href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">CAContinuousBase::OnCompletePogress</a></div><div class="ttdeci">void OnCompletePogress(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db8/_c_a_continuous_base_8c_source.html#l00008">CAContinuousBase.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html">CAContinuousMineWood</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00001">CAContinuousMineWood.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a00308fbae0218e08bb1f3bc916c4a792"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">CAContinuousMineWood::m_TimeBetweenMaterialDrops</a></div><div class="ttdeci">protected float m_TimeBetweenMaterialDrops</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00006">CAContinuousMineWood.c:6</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a0070edf09d44034b08ddeb3bf1830097"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a0070edf09d44034b08ddeb3bf1830097">CAContinuousMineWood::m_TimeToComplete</a></div><div class="ttdeci">protected float m_TimeToComplete</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00013">CAContinuousMineWood.c:13</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a109ffb1ade247ec0ca3f03b1baeac400"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a109ffb1ade247ec0ca3f03b1baeac400">CAContinuousMineWood::GetProgress</a></div><div class="ttdeci">override float GetProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00125">CAContinuousMineWood.c:125</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a1ee89f80836da1137525a7ac808139ff"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a1ee89f80836da1137525a7ac808139ff">CAContinuousMineWood::CreateSecondaryItems</a></div><div class="ttdeci">void CreateSecondaryItems(ActionData action_data, string material_secondary=&quot;&quot;, int quantity_secondary=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00208">CAContinuousMineWood.c:208</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a21bdb266e5682950b101c50a825f1675"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a21bdb266e5682950b101c50a825f1675">CAContinuousMineWood::Execute</a></div><div class="ttdeci">override int Execute(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00056">CAContinuousMineWood.c:56</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a2a0f895b30495dbc13cc66ef3e65a35a"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a2a0f895b30495dbc13cc66ef3e65a35a">CAContinuousMineWood::m_AdjustedTimeBetweenMaterialDrops</a></div><div class="ttdeci">protected float m_AdjustedTimeBetweenMaterialDrops</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00004">CAContinuousMineWood.c:4</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a41bd79ddbbf84d26687430f7628f9882"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a41bd79ddbbf84d26687430f7628f9882">CAContinuousMineWood::DamagePlayersHands</a></div><div class="ttdeci">void DamagePlayersHands(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00243">CAContinuousMineWood.c:243</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a538bd98e76225f081517898cccc55eb9"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a538bd98e76225f081517898cccc55eb9">CAContinuousMineWood::CAContinuousMineWood</a></div><div class="ttdeci">void CAContinuousMineWood(float time_between_drops)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00020">CAContinuousMineWood.c:20</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a5c296196999392d65f40ab75aaf5d1c9"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a5c296196999392d65f40ab75aaf5d1c9">CAContinuousMineWood::m_SecondaryItem</a></div><div class="ttdeci">protected ItemBase m_SecondaryItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00018">CAContinuousMineWood.c:18</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a685f70584155cea51950cc699f43bef0"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a685f70584155cea51950cc699f43bef0">CAContinuousMineWood::Setup</a></div><div class="ttdeci">override void Setup(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00026">CAContinuousMineWood.c:26</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a84b6e4dabb5fc52d6a2523788a4f9c4b"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a84b6e4dabb5fc52d6a2523788a4f9c4b">CAContinuousMineWood::m_AdjustedDamageToMiningItemEachDrop</a></div><div class="ttdeci">protected float m_AdjustedDamageToMiningItemEachDrop</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00008">CAContinuousMineWood.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a8c36b5922faf4e43be8742056e6cd3d0"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8c36b5922faf4e43be8742056e6cd3d0">CAContinuousMineWood::m_MinedItem</a></div><div class="ttdeci">protected ItemBase m_MinedItem[MINEDITEM_MAX]</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00017">CAContinuousMineWood.c:17</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a8f56d7b997d34930044ba6daec923819"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a8f56d7b997d34930044ba6daec923819">CAContinuousMineWood::GetMiningData</a></div><div class="ttdeci">bool GetMiningData(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00143">CAContinuousMineWood.c:143</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a94680b1ba70ac8d5be79ebb4485505e0"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a94680b1ba70ac8d5be79ebb4485505e0">CAContinuousMineWood::CreatePrimaryItems</a></div><div class="ttdeci">void CreatePrimaryItems(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00161">CAContinuousMineWood.c:161</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_aa59a402d7ed06fa7237d279097c39ee4"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#aa59a402d7ed06fa7237d279097c39ee4">CAContinuousMineWood::m_SpentUnits</a></div><div class="ttdeci">protected ref Param1&lt; float &gt; m_SpentUnits</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00014">CAContinuousMineWood.c:14</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_ab42e323c9314f2fc90ee12a056861dcb"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#ab42e323c9314f2fc90ee12a056861dcb">CAContinuousMineWood::MINEDITEM_MAX</a></div><div class="ttdeci">protected const int MINEDITEM_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00016">CAContinuousMineWood.c:16</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_ac1a5bc7181aef0b5d123c67e83a57bfc"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#ac1a5bc7181aef0b5d123c67e83a57bfc">CAContinuousMineWood::m_DamageToMiningItemEachDrop</a></div><div class="ttdeci">protected float m_DamageToMiningItemEachDrop</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00007">CAContinuousMineWood.c:7</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_ad0b6fbaabd7b069baf52e7b310fd04db"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad0b6fbaabd7b069baf52e7b310fd04db">CAContinuousMineWood::m_CycleTimeOverride</a></div><div class="ttdeci">protected float m_CycleTimeOverride</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00005">CAContinuousMineWood.c:5</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_ad309f44b02d9d87c630338ed41d5dbab"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#ad309f44b02d9d87c630338ed41d5dbab">CAContinuousMineWood::Cancel</a></div><div class="ttdeci">override int Cancel(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00131">CAContinuousMineWood.c:131</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_ae2b07c8734b86789707fb4e56c9cfd1f"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">CAContinuousMineWood::m_MaterialAndQuantityMap</a></div><div class="ttdeci">protected ref map&lt; string, int &gt; m_MaterialAndQuantityMap</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00012">CAContinuousMineWood.c:12</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_aec5d243a86f5680ec2016c39e0f6ca96"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#aec5d243a86f5680ec2016c39e0f6ca96">CAContinuousMineWood::m_AmountOfDrops</a></div><div class="ttdeci">protected int m_AmountOfDrops</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00009">CAContinuousMineWood.c:9</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_af3716f2056d51e809dc06a739ed53e5a"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#af3716f2056d51e809dc06a739ed53e5a">CAContinuousMineWood::m_TimeElpased</a></div><div class="ttdeci">protected float m_TimeElpased</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00003">CAContinuousMineWood.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_afa894bb4d06f8001b8989839d9ff8f45"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#afa894bb4d06f8001b8989839d9ff8f45">CAContinuousMineWood::m_DataLoaded</a></div><div class="ttdeci">protected bool m_DataLoaded</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00015">CAContinuousMineWood.c:15</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_mine_action_data_html"><div class="ttname"><a href="../../d4/d7c/class_mine_action_data.html">MineActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00001">ActionMineTree.c:2</a></div></div>
<div class="ttc" id="aclass_mine_action_data_html_a182b4f45364a68c36dc2dcb6b64505f8"><div class="ttname"><a href="../../d4/d7c/class_mine_action_data.html#a182b4f45364a68c36dc2dcb6b64505f8">MineActionData::m_HarvestType</a></div><div class="ttdeci">EHarvestType m_HarvestType</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00003">ActionMineTree.c:3</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_tool_base_html"><div class="ttname"><a href="../../d0/d33/class_tool_base.html">ToolBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df4/_bone_knife_8c_source.html#l00001">BoneKnife.c:2</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gac9f0b1b548394cf668a86362a32de298"><div class="ttname"><a href="../../d5/d98/group___math.html#gac9f0b1b548394cf668a86362a32de298">Math::Ceil</a></div><div class="ttdeci">static proto float Ceil(float f)</div><div class="ttdoc">Returns ceil of value.</div></div>
<div class="ttc" id="agroup___math_html_gafbc28855d0d24deda2fbdd3229c6bac2"><div class="ttname"><a href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">Math::RandomIntInclusive</a></div><div class="ttdeci">static int RandomIntInclusive(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00053">EnMath.c:53</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga1549e547ab5d53897a986482bf8fafe5"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a></div><div class="ttdeci">const int UA_FINISHED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00413">constants.c:413</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga27cc3557ea5e3394f26701d52a0ce245"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a></div><div class="ttdeci">const int UA_ERROR</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00432">constants.c:432</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_gaec2990f2dd7ed9f35d980856442b881b"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a></div><div class="ttdeci">const int UA_PROCESSING</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00411">constants.c:411</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_a8e5ff2c2bb8b37380a7130140e2e6d3.html">ActionComponents</a></li><li class="navelem"><a class="el" href="../../d4/dd5/_c_a_continuous_mine_wood_8c.html">CAContinuousMineWood.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
